
Redmine - Feature #11414

Ignore whitespace when using GIT

2012-07-16 19:46 - Jaroslaw Bogusz

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

By default, Redmine's diff reports any whitespace differences. To turn this off please edit:

/home/redmine/lib/redmine/scm/adapters/git_adapter.rb

locate the lines:

if identifier_to

cmd_args << "diff" << "--no-color" <<  identifier_to << identifier_from

else

cmd_args << "show" << "--no-color" << identifier_from

end

 and change them to:

if identifier_to

cmd_args << "diff" << "--no-color" <<  "-w" << identifier_to << identifier_from

else

cmd_args << "show" << "--no-color" << "-w" << identifier_from

end

Related issues:

Related to Redmine - Patch #1476: Ignore whitespace when using SVN (requires ... New 2008-06-16

Related to Redmine - Feature #14034: Ability to choose diff algorithm type fo... New

Related to Redmine - Feature #2235: Differential: New Line changes New 2008-11-26

History

#1 - 2012-07-16 20:00 - Etienne Massip

- Category set to SCM

#2 - 2012-10-10 12:53 - Anonymous

In my opinion it should be a option under the settings point repositories.

#3 - 2012-10-15 13:30 - Toshi MARUYAMA

- Status changed from Resolved to New

- Resolution deleted (Fixed)

#4 - 2013-05-13 10:38 - Prof. Dr. YoMan

+1

#5 - 2014-05-21 12:12 - Mathias Fischer

+1 would be very helpful for code reviews

#6 - 2014-07-01 10:18 - Anonymous

+1

In a previous version I hacked in a setting at the top of the diff page that turned on and off whitespace ignoring, like the inline versus side-by-side
setting.  It worked well in my case, but isn't worthy of a patch because it only worked for Subversion.  Doing it properly would require passing some

options down through the scm models.

#7 - 2016-09-14 14:28 - Toshi MARUYAMA

- Related to Feature #2235: Differential: New Line changes added
